Skip to main content
PATCH
/
configure_webhook
Update Webhook Settings
curl --request PATCH \
  --url https://external.nectarclimate.com/v2/configure_webhook \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "enabled": true
}
'
import requests

url = "https://external.nectarclimate.com/v2/configure_webhook"

payload = { "enabled": True }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};

fetch('https://external.nectarclimate.com/v2/configure_webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "enabled": true
}
{
"detail": "<string>",
"error": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Body

Request body to enable or disable webhooks.

enabled
boolean

Set to true to enable webhooks, false to disable.

Response

Current webhook configuration for the organization.

enabled
boolean
required

Whether webhooks are enabled for this organization.